//
//  PPJob-TimeSpent.m
//  iTimesheet
//
//  Created by Mark Brindle on 09/04/2011.
//  Copyright 2011 ARKEMM Software Limited. All rights reserved.
//

#import "PPJob-TimeSpent.h"


@implementation PPJob (PPJob_TimeSpent)

- (NSString *)timeSpentText {
  double jobTime = [[self timeSpent] doubleValue];
  double days = 0.0;
  double hrs = 0.0;
  double mins = 0.0;
  double secs = 0.0;
  
  NSLog(@"jobTime: %f", jobTime);
  if (jobTime > 86400.0) {
    // Get Days
    modf(jobTime / 86400.0, &days);
    jobTime -= (days * 86400.0);
    NSLog(@"days: %f jobTime: %f", days, jobTime);
  }
  if (jobTime > 3600.0) {
    // Get hrs
    modf(jobTime / 3600.0, &hrs);
    jobTime -= (hrs * 3600.0);
    NSLog(@"hrs: %f jobTime: %f", hrs, jobTime);
  }
  if (jobTime > 60.0) {
    // Get mins
    modf(jobTime / 60.0, &mins);
    jobTime -= (mins * 60.0);
    NSLog(@"mins: %f jobTime: %f", mins, jobTime);
  }
  secs = jobTime;
  NSLog(@"secs: %f jobTime: %f", secs, jobTime);
  
  // Now construct result string
  if (days > 0.0) {
    return [NSString stringWithFormat:@"%.1f days", days + hrs / 24.0];
  }
  if (hrs > 0.0) {
    return [NSString stringWithFormat:@"%.1f hrs", hrs + mins / 60.0];
  }
  if (mins > 0.0) {
    return [NSString stringWithFormat:@"%.1f mins", mins + secs / 60.0];
  }
  return [NSString stringWithFormat:@"%.0f secs", secs];
}

@end
