//
//  JobTableViewController.h
//  iTimesheet
//
//  Created by Mark Brindle on 03/04/2011.
//  Copyright 2011 ARKEMM Software Limited. All rights reserved.
//

#import <UIKit/UIKit.h>

// Define a constant to specify row height for our job details
#define kTableViewRowHeight 71;

// Forward declaration of classes we are using in the interface
@class InsertJobViewController;
@class PPProject;
@class PPJob;

@interface JobTableViewController : UITableViewController {

  IBOutlet UITableView *jobTableView;  
  PPProject *project;
  NSMutableArray *jobs;
  InsertJobViewController *jvc;
}

// Manually added properties
@property (nonatomic, retain) NSMutableArray *jobs;
@property (nonatomic, retain) PPProject *project;

// Manually added methods
-(void)insertNewJob;
-(void)removeJob:(NSUInteger)index;
- (void)createTimecard:(PPJob *)job;

@end
