//
//  iTimesheetAppDelegate.h
//  iTimesheet
//
//  Created by Mark Brindle on 06/04/2011.
//  Copyright 2011 ARKEMM Software Limited. All rights reserved.
//

#import <UIKit/UIKit.h>

@interface iTimesheetAppDelegate : NSObject <UIApplicationDelegate> {

}

@property (nonatomic, retain) IBOutlet UIWindow *window;

@property (nonatomic, retain, readonly) NSManagedObjectContext *managedObjectContext;
@property (nonatomic, retain, readonly) NSManagedObjectModel *managedObjectModel;
@property (nonatomic, retain, readonly) NSPersistentStoreCoordinator *persistentStoreCoordinator;

- (void)saveContext;
- (NSURL *)applicationDocumentsDirectory;

#pragma mark - Added method declarations

+ (iTimesheetAppDelegate *)sharedAppDelegate;

- (NSArray *)allInstancesOf:(NSString *)entityName 
                  orderedBy:(NSString *)attName;
@end
